jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ignasi Barrera <notificati...@github.com>
Subject Re: [jclouds/jclouds] Make jclouds compatible with newer OSGi framework versions (#1034)
Date Thu, 03 Nov 2016 09:57:55 GMT
Changes are made to accommodate the tests to the signatures of those methods in newer OSGi
framework versions..

Basically, they change from Dictionary (raw) to Dictionary<String, ?>, and in the case
of the `loadClass`method, it returns a Class (raw) object in 4.2.0 but a Class<?> in
6.0.0.

The change sin this PR make the osgi versions configurable (I've already created a jenkins
build that uses the latest osgi 6.0.0) and safely accommodates the method signatures.

-- 
You are receiving this because you modified the open/close state.
Reply to this email directly or view it on GitHub:
https://github.com/jclouds/jclouds/pull/1034#issuecomment-258101532
Mime
View raw message